public class StringConv {
	public int strToInt(String str) throws NumberFormatException {
		double sum = 0;
		if (str.length() == 0)
			throw new NumberFormatException();
		for (int i = 0; i < str.length() - 1; i++) {
			if (Character.isDigit(str.charAt(str.length() - i - 1)))
				sum = sum
						+ ((int) str.charAt(str.length() - i - 1) - (int) '0')
						* Math.pow(10, i);
			else
				throw new NumberFormatException();
		}
		if (str.charAt(0) == '-') {
			if (str.length() == 1)
				throw new NumberFormatException();
			sum = -sum;
		} else if (Character.isDigit(str.charAt(0)))
			sum += ((int) str.charAt(0) - (int) '0')
					* Math.pow(10, str.length() - 1);
		else if (str.charAt(0) != '+' || str.length() == 1)
			throw new NumberFormatException();
		if (sum < Integer.MIN_VALUE || sum > Integer.MAX_VALUE)
			throw new NumberFormatException();
		return (int) sum;
	}
}
